Skip to main content
GET
Check funding address for a sub-account.
Fetches the crypto deposit address for a sub-account.

Authorizations

x-api-key
string
header
required

Requires authentication via API key and HMAC signature.

  • x-api-key: Your API key generated from your Onboard Business dashboard.
  • x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 seconds
  • x-signature: SHA256 HMAC HEX signature calculated over t={x-timestamp}&{requestBody} using your API Secret.

Path Parameters

subAccountIdRef
string
required

The unique onboard sub-account ID or reference

Query Parameters

tokenNetworkCode
string
required

a unique code we assign to a token on a network, e.g. USDT_ETH

Response

Address Fetched Successfully

available
boolean
default:false
required

Indicates if the funding address has been generated and is available for use. When false, the fundingAddress field will be null, and the client can create the address. When true, the fundingAddress field will contain the deposit address details.

fundingAddress
object